Summary: Free TrueType font rasterizer library.
Name: freetype
Version: 1.2
Release: 6
Copyright: BSDish
Group: System Environment/Libraries
Source: freetype-%{version}.tar.gz
Source1: ttmkfdir-1.0.tar.gz
Buildroot: /var/tmp/%{name}-root

%package devel
Summary: Header files and static library for development with FreeType.
Group: Development/Libraries

%description
The FreeType engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType is a library, not a
stand-alone application, though some utility applications are included.

%description devel
This package is only needed if you intend to develop or
compile applications which rely on the FreeType library.
If you simply want to run existing applications, you won't
need this package.

%prep
%setup -q -a 1

%build
libtoolize --copy --force
./configure --prefix=/usr \
	--with-cflags="$RPM_OPT_FLAGS" \
	--disable-debug \
	--enable-static --enable-shared \
	--with-locale-dir=/usr/share/locale
make
make -C ttmkfdir-1.0

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install \
	gnulocaledir=$RPM_BUILD_ROOT/usr/share/locale
make -C ttmkfdir-1.0 install
strip $RPM_BUILD_ROOT/usr/bin/*
strip $RPM_BUILD_ROOT/usr/sbin/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/usr/bin/*
/usr/sbin/*
/usr/lib/libttf.la
/usr/lib/libttf.so*
/usr/share/locale/*
%doc README  announce docs

%files devel
/usr/include/*
/usr/lib/libttf.a

%changelog
* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- fixed the %doc file list

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added ttmkfdir

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- update to 1.2

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to sanitize config.sub and get ARM support
- dispoze of the patch (not necessary anymore)

* Wed Oct 21 1998 Preston Brown <pbrown@redhat.com>
- post/postun sections for ldconfig action.

* Tue Oct 20 1998 Preston Brown <pbrown@redhat.com>
- initial RPM, includes normal and development packages.